#! /usr/bin/awk -f

# simcvt2.awk is an Awk script which converts SimTel .IDX index files to
# .LST list files.  It is freely distributable.

# Usage:  awk -f simcvt2.awk simibm.idx > simibm.lst
# Author: Daniel Lewart (d-lewart@uiuc.edu) 1 Jan 1994

BEGIN {
	FS = "\""
print "These files are available by anonymous FTP from the SimTel Software"
print "Repository primary mirror site OAK.Oakland.Edu (141.210.10.117) and"
print "its mirrors wuarchive.wustl.edu (128.252.135.4), archive.orst.edu"
print "(128.193.2.13), ftp.uu.net (192.48.96.9), ftp.funet.fi (128.214.6.100),"
print "src.doc.ic.ac.uk (146.169.2.1), ftp.switch.ch (130.59.1.40), archie.au"
print "(139.130.4.6) or NCTUCCCA.edu.tw (140.111.1.10), ftp.technion.ac.il"
print "(132.68.1.10), or by e-mail through the BITNET/EARN file servers."
	print ""
	print "NOTE: Type B is Binary; Type A is ASCII"
	print ""
}

{
	dir2 = $2$4
	if ( dir1 != dir2 ) {
		if ( dir1 != "" ) print ""
		print "Directory", dir2
		print " Filename   Type Length   Date    Description"
		print "=============================================="
		dir1 = dir2
	}
	Name = $6
	split($7,a,",")
	Type = "?"
	if (a[4] == 7) Type = "A"
	if (a[4] == 8) Type = "B"
	Size = a[3]
	Date = a[5]
	Description = $8
	printf("%-12s  %s %7d  %6d  %s\n",Name,Type,Size,Date,Description)
}
